petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscRandomInitializePackage

This function initializes everything in the PetscRandom package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to PetscRandomCreate() when using static libraries.

### Synopsis

    PetscErrorCode  PetscRandomInitializePackage(void)

### Keywords

PetscRandom, initialize, package

### See Also

PetscInitialize()

Level:developer
Location:src/sys/classes/random/interface/dlregisrand.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages